from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField, TextAreaField, MultipleFileField
from wtforms.validators import InputRequired, Length
import app.utils.validators as vf
from app.utils.antibot_field import AntibotField
from app.utils.tag_field import TagListField
from app.forms.forum import CommentForm

class ProgramCreationForm(CommentForm):
    name = StringField('Nom du programme',
        validators=[InputRequired(), Length(min=3, max=64)])

    tags = TagListField('Liste de tags')

    submit = SubmitField('Soumettre le programme')
